#!/bin/bash

set -e

if [ -f .env ]; then
	source .env
fi

if [ -z ${1} ]; then
	echo "Please provide a job"
	exit 1
fi

JOB="${1}"

JSON=$(curl -s -X POST "${YOLO_WEB_URL}/job/claim/${JOB}")

if [[ "${JSON}" != *"{"* ]]; then
	echo ERROR
	echo "${JSON}"
	exit 1
fi

if [ -f ./scripts/claim_mail.sh ]; then
	bash ./scripts/claim_mail.sh "${JSON}"
else
	echo "No email script, not sending."
fi

ID=$(echo $JSON | jq -r '.id')

bash ./scripts/train.sh "${JSON}"
